config:
    shim:
        'moment':
            exports:
                - 'moment'
        'numeral':
            exports:
                - 'numeral'
        'orolocale/js/formatter/number':
            deps:
                - 'numeral'
                - 'orolocale/js/locale-settings'
    map:
        '*':
            'numeral': 'orolocale/js/numeral-l10n'
            'moment': 'orolocale/js/moment-l10n'
            'moment-timezone': 'orolocale/js/extend/moment-timezone'
        'orolocale/js/numeral-l10n':
            'numeral': 'numeral'
        'orolocale/js/moment-l10n':
            'moment': 'moment'
        'moment-timezone':
            'moment': 'moment'
        'orolocale/js/extend/moment-timezone':
            'moment-timezone': 'moment-timezone'

    paths:
        'moment': 'bundles/orolocale/lib/moment/moment.js'
        'moment-timezone': 'bundles/components/moment-timezone/builds/moment-timezone-with-data.min.js'
#        'moment-timezone': 'bundles/components/moment-timezone/builds/moment-timezone-with-data.js'
        'numeral': 'bundles/orolocale/lib/numeral.js'
        'orolocale/js/locale-settings': 'bundles/orolocale/js/locale-settings.js'
        'orolocale/js/locale-settings/data': '../js/oro.locale_data.js'
        'orolocale/js/formatter/name': 'bundles/orolocale/js/formatter/name.js'
        'orolocale/js/formatter/address': 'bundles/orolocale/js/formatter/address.js'
        'orolocale/js/formatter/number': 'bundles/orolocale/js/formatter/number.js'
        'orolocale/js/formatter/datetime': 'bundles/orolocale/js/formatter/datetime.js'
        'orolocale/js/moment-l10n': 'bundles/orolocale/js/moment-l10n.js'
        'orolocale/js/numeral-l10n': 'bundles/orolocale/js/numeral-l10n.js'
        'orolocale/js/app/views/fallback-view': 'bundles/orolocale/js/app/views/fallback-view.js'
        'orolocale/js/app/views/language-select-view': 'bundles/orolocale/js/app/views/language-select-view.js'
        'orolocale/js/app/views/languages-select-view': 'bundles/orolocale/js/app/views/languages-select-view.js'
